oneapi = require('node/oneapi');
oneapi.googleTranslate = ({ apiKey, options }) => {
    googleTranslate = require('google-translate')(apiKey, options);
    return {
        /**
         * @param strings: string | string[]
         * A string or strings to translate
         * i.e - "hello world" OR ["hello", "world"]
         * @param sourceLang: string
         * The language to translate from
         * supported languages listed here: https://cloud.google.com/translate/docs/languages
         * @optional targetLang: string = 'en'
         * The language to translate to (default is 'en' - english)
         * supported languages listed here: https://cloud.google.com/translate/docs/languages
         */
        translate: async (strings, sourceLang, targetLang = 'en') => {
            return new Promise((res, rej) => {
                googleTranslate.translate(strings, sourceLang, targetLang, (err, translation) => {
                    err ? rej(err) : res(translation);
                });
            });
        }
    };
};
